##################################################################
#
# makefile
#
# @file        makefile 
# @title       Simulation of the camera and trigger logic
# @author      J C Gonz\'alez
# @email       gonzalez@mppmu.mpg.de
# @date        Fri Mar 12 11:51:11 MET 1999
#
#_______________________________________________________________
#
# Created: Fri Mar 12 11:51:11 MET 1999
# Author:  Jose Carlos Gonzalez
# Purpose: Makefile for the compilation of the camera program
# Notes:   
#    
#---------------------------------------------------------------
#
# $RCSfile: Makefile,v $
# $Revision: 1.7 $
# $Author: magicsol $ 
# $Date: 2000-10-25 08:41:45 $
#
##################################################################
# @maintitle

# @code

INCLUDEMK = config.mk.${OSTYPE}
include ${INCLUDEMK}

# @endcode

# @code 

# common flags
INCLUDES = -I${INCLUDE}      \
	-I${INCLUDE_COR}  \
	-I${INCLUDE_MC}   \
	-I${INCLUDE_EVITA}   \
	-I${INCLUDE_TRIGGER}   \
	-I${INCLUDE_FADC}   \
	-I${INCLUDE_REFL} \
        -I${INCLUDE_ROOT} \
        -I${INCLUDE_CPLUS}

RANLIB  = -L${RANLIBDIR} -lranlib

# what is needed for ROOT is inside the config.mk... file


# special flags

osf_FORLIBS = -lUfor -lfor -lutil -lots -lm 
#linux_FORLIBS =  -lf2c -lm /usr/lib/libc.a
linux_FORLIBS =  -lm -ldl 
#linux_FORLIBS =  -lm -ldl -rdynamic
generic_FORLIBS = -lm 

FORLIBS = ${${SYSTEM}_FORLIBS}

# compilation and linking flags

CXXFLAGS  = -D__${SYSTEM}__ ${INCLUDES} ${OPTIM} ${DEBUG}
CFLAGS    = ${CXXFLAGS}
FFLAGS    = ${CXXFLAGS}
LIBS      = ${RANLIB} ${ROOTLIBS} ${ROOTGLIBS} ${GLIBS}

#------------------------------------------------------------------------------

#.SILENT:

.SUFFIXES: .c .cxx .C .c++ .h .hxx .H .h++ .o .so .f

SRCS = \
	${INCLUDE_MC}/MCEventHeader.cxx \
	${INCLUDE_MC}/MCCphoton.cxx \
	${INCLUDE_TRIGGER}/MTrigger.cxx \
	${INCLUDE_TRIGGER}/MGTriggerSignal.cxx \
	${INCLUDE_FADC}/MFadc.cxx \
	${INCLUDE_FADC}/MGFadcSignal.cxx \
	${INCLUDE_EVITA}/MRawPixel.cxx \
	${INCLUDE_EVITA}/MRawCrate.cxx \
	${INCLUDE_EVITA}/MRawEvt.cxx \
	${INCLUDE_EVITA}/MMcEvt.cxx \
	${INCLUDE_EVITA}/MMcTrig.cxx \
	${INCLUDE_EVITA}/MHeaderTrig.cxx \
	MCamCint.cxx \
	creadparam.cxx \
	camera.cxx   

HEADERS = \
	MCEventHeader.hxx \
	MCCphoton.hxx \
	MTRigger.hxx \
	MGTriggerSignal.hxx \
	MFadc.hxx \
	MGFadcSignal.hxx \
	MRawPixel.h \
	MRawCrate.h \
	MRawEvt.h \
	MMcEvt.h \
	MMcTrig.hxx \
	MHeaderTrig.hxx \
	lagrange.h \
	atm.h \
	creadparam.h \
	camera.h

OBJS = \
	${INCLUDE_MC}/MCEventHeader.o \
	${INCLUDE_MC}/MCCphoton.o \
	${INCLUDE_TRIGGER}/MTrigger.o \
	${INCLUDE_TRIGGER}/MGTriggerSignal.o \
	${INCLUDE_FADC}/MFadc.o \
	${INCLUDE_FADC}/MGFadcSignal.o \
	${INCLUDE_EVITA}/MRawPixel.o \
	${INCLUDE_EVITA}/MRawCrate.o \
	${INCLUDE_EVITA}/MRawEvt.o \
	${INCLUDE_EVITA}/MMcEvt.o \
	${INCLUDE_EVITA}/MMcTrig.o \
	${INCLUDE_EVITA}/MHeaderTrig.o \
	MCamCint.o \
	creadparam.o \
	camera.o      

############################################################

all: ${PROGRAM}

depend:
	@makedepend $(SRCS) $(INCLUDES) -fMakefile 2> kk.kk ; cat kk.kk

doc: camera-doc

camera-doc: 
	@echo "Generating documentation for camera . . . "
	$(DOCUM) -latex -o camera.tex \
	camera.cxx camera.h \
	creadparam.cxx creadparam.h \
	moments.cxx moments.h
	latex "\nonstopmode\input{camera.tex}" && \
	makeindex camera && \
	latex "\nonstopmode\input{camera.tex}" && \
	latex "\nonstopmode\input{camera.tex}"
	@echo "Files camera.tex and camera.dvi generated."

${PROGRAM}: $(OBJS) 
	@echo "Linking..." 
	echo `ls -m $(OBJS)|sed 's/,/ +/g' `" + libraries => " $@
	$(CXX) $(CXXFLAGS) $(OBJS) $(LIBS) -o $@
	@echo "done."


MCamCint.cxx: 	${INCLUDE_EVITA}/MRawPixel.h \
		${INCLUDE_EVITA}/MRawCrate.h \
		${INCLUDE_EVITA}/MRawEvt.h \
		${INCLUDE_EVITA}/MMcEvt.h \
		${INCLUDE_EVITA}/MMcTrig.hxx \
		${INCLUDE_EVITA}/MHeaderTrig.hxx \
		${INCLUDE_EVITA}/Mdefine.h

		@echo
		@echo "Generating dictionary ..."
		@echo

		@$(ROOTSYS)/bin/rootcint -f  \
		MCamCint.cxx -c \
		${INCLUDE_EVITA}/MRawPixel.h \
		${INCLUDE_EVITA}/MRawCrate.h \
		${INCLUDE_EVITA}/MRawEvt.h \
		${INCLUDE_EVITA}/MMcEvt.h \
		${INCLUDE_EVITA}/MMcTrig.hxx \
		${INCLUDE_EVITA}/MHeaderTrig.hxx \
		${INCLUDE_EVITA}/Mdefine.h \
		${INCLUDE_EVITA}/LinkDef.h

		@echo
		@echo "Dictionary done"
		@echo

.cxx.o:	
	@echo "Compiling " $<
	$(CXX) $(CXXFLAGS) -c $< -o $@

.c.o:	
	@echo "Compiling " $<
	$(CC) $(CFLAGS) -c $< -o $@

lclean:
	@echo "Cleanning..."
	@rm -f *.o core 

clean:
	@echo "Cleanning..."
	@rm -f $(OBJS) core 
	@rm -f MCamCint.cxx MCamCint.h 

mrproper: clean
	@echo "Mr.Proper in action . . ."
	@rm -f $(PROGRAM)

ctags:
	@echo "Creating CTAGS file . . ."
	@ctags -txw $(SRCS) $(HEADERS) > CTAGS

etags:
	@echo "Creating TAGS file . . ."
	@etags -C $(SRCS) $(HEADERS)

listsrc:
	@ls -m $(SRCS) $(HEADERS) | sed 's/,//g'

redo: clean all

cflags: 
	@echo $(INCLUDES) $(CXXFLAGS)

# @endcode

# DO NOT DELETE THIS LINE -- make depend depends on it.

../include-MC/MCEventHeader.o: ../include-MC/MCEventHeader.hxx
../include-MC/MCEventHeader.o: ../include-GENERAL/Rtypes.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iostream.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iostream.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/compnent.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/iostream_impl.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/cxxl.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/cxxl_share.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/messages.hxx
../include-MC/MCEventHeader.o: /usr/include/stddef.h /usr/include/standards.h
../include-MC/MCEventHeader.o: /usr/include/stdio.h /usr/include/sys/seek.h
../include-MC/MCEventHeader.o: /usr/include/va_list.h
../include-MC/MCEventHeader.o: /usr/include/sys/types.h
../include-MC/MCEventHeader.o: /usr/include/mach/machine/vm_types.h
../include-MC/MCEventHeader.o: /usr/include/sys/select.h
../include-MC/MCEventHeader.o: /usr/include/getopt.h
../include-MC/MCEventHeader.o: /usr/include/sys/limits.h
../include-MC/MCEventHeader.o: /usr/include/sys/machine/machlimits.h
../include-MC/MCEventHeader.o: /usr/include/sys/syslimits.h
../include-MC/MCEventHeader.o: /usr/include/sys/machine/machtime.h
../include-MC/MCEventHeader.o: /usr/include/sys/rt_limits.h
../include-MC/MCEventHeader.o: /usr/include/limits.h /usr/include/memory.h
../include-MC/MCEventHeader.o: /usr/include/string.h /usr/include/strings.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iomanip.h
../include-MC/MCEventHeader.o: /usr/include/cxx/iomanip.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/iomanip_impl.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/generic.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/mutex.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/fstream.h
../include-MC/MCEventHeader.o: /usr/include/cxx/fstream.hxx
../include-MC/MCEventHeader.o: /usr/include/cxx/fstream_impl.hxx
../include-MC/MCEventHeader.o: /usr/include/stdlib.h /usr/include/math.h
../include-MC/MCEventHeader.o: ../include-CORSIKA/COREventHeader.hxx
../include-MC/MCCphoton.o: ../include-MC/MCCphoton.hxx
../include-MC/MCCphoton.o: ../include-GENERAL/Rtypes.h
../include-MC/MCCphoton.o: /usr/include/cxx/iostream.h
../include-MC/MCCphoton.o: /usr/include/cxx/iostream.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/compnent.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/iostream_impl.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/cxxl.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/cxxl_share.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/messages.hxx
../include-MC/MCCphoton.o: /usr/include/stddef.h /usr/include/standards.h
../include-MC/MCCphoton.o: /usr/include/stdio.h /usr/include/sys/seek.h
../include-MC/MCCphoton.o: /usr/include/va_list.h /usr/include/sys/types.h
../include-MC/MCCphoton.o: /usr/include/mach/machine/vm_types.h
../include-MC/MCCphoton.o: /usr/include/sys/select.h /usr/include/getopt.h
../include-MC/MCCphoton.o: /usr/include/sys/limits.h
../include-MC/MCCphoton.o: /usr/include/sys/machine/machlimits.h
../include-MC/MCCphoton.o: /usr/include/sys/syslimits.h
../include-MC/MCCphoton.o: /usr/include/sys/machine/machtime.h
../include-MC/MCCphoton.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
../include-MC/MCCphoton.o: /usr/include/memory.h /usr/include/string.h
../include-MC/MCCphoton.o: /usr/include/strings.h /usr/include/cxx/iomanip.h
../include-MC/MCCphoton.o: /usr/include/cxx/iomanip.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/iomanip_impl.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/generic.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/mutex.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/fstream.h
../include-MC/MCCphoton.o: /usr/include/cxx/fstream.hxx
../include-MC/MCCphoton.o: /usr/include/cxx/fstream_impl.hxx
../include-MC/MCCphoton.o: /usr/include/stdlib.h /usr/include/math.h
../include-MC/MCCphoton.o: ../include-GENERAL/jcmacros.h
../include-MTrigger/MTrigger.o: ../include-MTrigger/MTrigger.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/iostream.h
../include-MTrigger/MTrigger.o: /usr/include/cxx/iostream.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/compnent.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/iostream_impl.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/cxxl.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/cxxl_share.hxx
../include-MTrigger/MTrigger.o: /usr/include/cxx/messages.hxx
../include-MTrigger/MTrigger.o: /usr/include/stddef.h
../include-MTrigger/MTrigger.o: /usr/include/standards.h /usr/include/stdio.h
../include-MTrigger/MTrigger.o: /usr/include/sys/seek.h
../include-MTrigger/MTrigger.o: /usr/include/va_list.h
../include-MTrigger/MTrigger.o: /usr/include/sys/types.h
../include-MTrigger/MTrigger.o: /usr/include/mach/machine/vm_types.h
../include-MTrigger/MTrigger.o: /usr/include/sys/select.h
../include-MTrigger/MTrigger.o: /usr/include/getopt.h
../include-MTrigger/MTrigger.o: /usr/include/sys/limits.h
../include-MTrigger/MTrigger.o: /usr/include/sys/machine/machlimits.h
../include-MTrigger/MTrigger.o: /usr/include/sys/syslimits.h
../include-MTrigger/MTrigger.o: /usr/include/sys/machine/machtime.h
../include-MTrigger/MTrigger.o: /usr/include/sys/rt_limits.h
../include-MTrigger/MTrigger.o: /usr/include/limits.h /usr/include/memory.h
../include-MTrigger/MTrigger.o: /usr/include/string.h /usr/include/strings.h
../include-MTrigger/MTrigger.o: /usr/include/math.h /usr/include/stdlib.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TROOT.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TObject.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TRandom.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TH1.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/Mdefine.h
../include-MTrigger/MTrigger.o: ../../../include-Classes/MMcEvt.h
../include-MTrigger/MTrigger.o: /usr/include/unistd.h
../include-MTrigger/MTrigger.o: /usr/include/sys/access.h
../include-MTrigger/MTrigger.o: /usr/include/fcntl.h /usr/include/sys/fcntl.h
../include-MTrigger/MTrigger.o: /usr/include/sys/mode.h
../include-MTrigger/MTrigger.o: ../include-MTrigger/MTriggerDefine.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TFile.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TObjArray.h
../include-MTrigger/MTrigger.o: ../include-MTrigger/MGTriggerSignal.hxx
../include-MTrigger/MTrigger.o: /CERN/root/include/TApplication.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TVirtualX.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGListBox.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGClient.h
../include-MTrigger/MTrigger.o: /CERN/root/include/GuiTypes.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGFrame.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGIcon.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGLabel.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGButton.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGTextEntry.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGMsgBox.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGMenu.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGComboBox.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGTab.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGSlider.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGDoubleSlider.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TGFileDialog.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TCanvas.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TH2.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TSystem.h
../include-MTrigger/MTrigger.o: /CERN/root/include/TEnv.h
../include-MTrigger/MGTriggerSignal.o: ../include-MTrigger/MGTriggerSignal.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/stdlib.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/standards.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/getopt.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/types.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/mach/machine/vm_types.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/select.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/iostream.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/iostream.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/compnent.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/iostream_impl.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/cxxl.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/cxxl_share.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/cxx/messages.hxx
../include-MTrigger/MGTriggerSignal.o: /usr/include/stddef.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/stdio.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/seek.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/va_list.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/limits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/machine/machlimits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/syslimits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/machine/machtime.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/rt_limits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/limits.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/memory.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/string.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/strings.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TROOT.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TApplication.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TVirtualX.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGListBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGClient.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/GuiTypes.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGFrame.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGIcon.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGLabel.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGButton.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGTextEntry.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGMsgBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGMenu.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGComboBox.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGTab.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGSlider.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGDoubleSlider.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TGFileDialog.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TCanvas.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TH1.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TH2.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TRandom.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TSystem.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TEnv.h
../include-MTrigger/MGTriggerSignal.o: ../../../include-Classes/MMcEvt.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/unistd.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/access.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/fcntl.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/fcntl.h
../include-MTrigger/MGTriggerSignal.o: /usr/include/sys/mode.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TObject.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TPavesText.h
../include-MTrigger/MGTriggerSignal.o: /CERN/root/include/TObjArray.h
../include-MFadc/MFadc.o: ../include-MFadc/MFadc.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/stream.h
../include-MFadc/MFadc.o: /usr/include/cxx/stream.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/compnent.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/cxxl.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/cxxl_share.hxx
../include-MFadc/MFadc.o: /usr/include/stddef.h /usr/include/standards.h
../include-MFadc/MFadc.o: /usr/include/stdarg.h /usr/include/va_list.h
../include-MFadc/MFadc.o: /usr/include/cxx/iomanip.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/iomanip_impl.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/generic.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/iostream.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/iostream_impl.hxx
../include-MFadc/MFadc.o: /usr/include/cxx/messages.hxx /usr/include/stdio.h
../include-MFadc/MFadc.o: /usr/include/sys/seek.h /usr/include/sys/types.h
../include-MFadc/MFadc.o: /usr/include/mach/machine/vm_types.h
../include-MFadc/MFadc.o: /usr/include/sys/select.h /usr/include/getopt.h
../include-MFadc/MFadc.o: /usr/include/sys/limits.h
../include-MFadc/MFadc.o: /usr/include/sys/machine/machlimits.h
../include-MFadc/MFadc.o: /usr/include/sys/syslimits.h
../include-MFadc/MFadc.o: /usr/include/sys/machine/machtime.h
../include-MFadc/MFadc.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
../include-MFadc/MFadc.o: /usr/include/memory.h /usr/include/string.h
../include-MFadc/MFadc.o: /usr/include/strings.h /usr/include/cxx/mutex.hxx
../include-MFadc/MFadc.o: /usr/include/math.h /usr/include/stdlib.h
../include-MFadc/MFadc.o: /CERN/root/include/TObject.h
../include-MFadc/MFadc.o: /CERN/root/include/TRandom.h
../include-MFadc/MFadc.o: ../../../include-Classes/Mdefine.h
../include-MFadc/MFadc.o: ../include-MTrigger/MTriggerDefine.h
../include-MFadc/MFadc.o: ../../../include-Classes/MMcEvt.h
../include-MFadc/MFadc.o: /usr/include/unistd.h /usr/include/sys/access.h
../include-MFadc/MFadc.o: /usr/include/fcntl.h /usr/include/sys/fcntl.h
../include-MFadc/MFadc.o: /usr/include/sys/mode.h /usr/include/cxx/iostream.h
../include-MFadc/MFadc.o: /CERN/root/include/TROOT.h
../include-MFadc/MFadc.o: /CERN/root/include/TApplication.h
../include-MFadc/MFadc.o: /CERN/root/include/TVirtualX.h
../include-MFadc/MFadc.o: /CERN/root/include/TGClient.h
../include-MFadc/MFadc.o: /CERN/root/include/GuiTypes.h
../include-MFadc/MFadc.o: /CERN/root/include/TH1.h
../include-MFadc/MFadc.o: /CERN/root/include/TObjArray.h
../include-MFadc/MFadc.o: ../include-MFadc/MGFadcSignal.hxx
../include-MFadc/MFadc.o: /CERN/root/include/TGListBox.h
../include-MFadc/MFadc.o: /CERN/root/include/TGFrame.h
../include-MFadc/MFadc.o: /CERN/root/include/TGIcon.h
../include-MFadc/MFadc.o: /CERN/root/include/TGLabel.h
../include-MFadc/MFadc.o: /CERN/root/include/TGButton.h
../include-MFadc/MFadc.o: /CERN/root/include/TGTextEntry.h
../include-MFadc/MFadc.o: /CERN/root/include/TGMsgBox.h
../include-MFadc/MFadc.o: /CERN/root/include/TGMenu.h
../include-MFadc/MFadc.o: /CERN/root/include/TGCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TGComboBox.h
../include-MFadc/MFadc.o: /CERN/root/include/TGTab.h
../include-MFadc/MFadc.o: /CERN/root/include/TGSlider.h
../include-MFadc/MFadc.o: /CERN/root/include/TGDoubleSlider.h
../include-MFadc/MFadc.o: /CERN/root/include/TGFileDialog.h
../include-MFadc/MFadc.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TCanvas.h
../include-MFadc/MFadc.o: /CERN/root/include/TH2.h
../include-MFadc/MFadc.o: /CERN/root/include/TSystem.h
../include-MFadc/MFadc.o: /CERN/root/include/TEnv.h
../include-MFadc/MGFadcSignal.o: ../include-MFadc/MGFadcSignal.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/stdlib.h
../include-MFadc/MGFadcSignal.o: /usr/include/standards.h
../include-MFadc/MGFadcSignal.o: /usr/include/getopt.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/types.h
../include-MFadc/MGFadcSignal.o: /usr/include/mach/machine/vm_types.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/select.h
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/iostream.h
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/iostream.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/compnent.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/iostream_impl.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/cxxl.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/cxxl_share.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/cxx/messages.hxx
../include-MFadc/MGFadcSignal.o: /usr/include/stddef.h /usr/include/stdio.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/seek.h
../include-MFadc/MGFadcSignal.o: /usr/include/va_list.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/limits.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/machine/machlimits.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/syslimits.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/machine/machtime.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/rt_limits.h
../include-MFadc/MGFadcSignal.o: /usr/include/limits.h /usr/include/memory.h
../include-MFadc/MGFadcSignal.o: /usr/include/string.h /usr/include/strings.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TROOT.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TApplication.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TVirtualX.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGListBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGClient.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/GuiTypes.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGFrame.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGIcon.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGLabel.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGButton.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGTextEntry.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGMsgBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGMenu.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGComboBox.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGTab.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGSlider.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGDoubleSlider.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TGFileDialog.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TRootEmbeddedCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TCanvas.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TH1.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TH2.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TRandom.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TSystem.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TEnv.h
../include-MFadc/MGFadcSignal.o: ../../../include-Classes/MMcEvt.h
../include-MFadc/MGFadcSignal.o: /usr/include/unistd.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/access.h
../include-MFadc/MGFadcSignal.o: /usr/include/fcntl.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/fcntl.h
../include-MFadc/MGFadcSignal.o: /usr/include/sys/mode.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TObject.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TPavesText.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TObjArray.h
../include-MFadc/MGFadcSignal.o: /CERN/root/include/TLine.h
../../../include-Classes/MRawPixel.o: /usr/include/cxx/iostream.h
../../../include-Classes/MRawPixel.o: /usr/include/cxx/iostream.hxx
../../../include-Classes/MRawPixel.o: /usr/include/cxx/compnent.hxx
../../../include-Classes/MRawPixel.o: /usr/include/cxx/iostream_impl.hxx
../../../include-Classes/MRawPixel.o: /usr/include/cxx/cxxl.hxx
../../../include-Classes/MRawPixel.o: /usr/include/cxx/cxxl_share.hxx
../../../include-Classes/MRawPixel.o: /usr/include/cxx/messages.hxx
../../../include-Classes/MRawPixel.o: /usr/include/stddef.h
../../../include-Classes/MRawPixel.o: /usr/include/standards.h
../../../include-Classes/MRawPixel.o: /usr/include/stdio.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/seek.h
../../../include-Classes/MRawPixel.o: /usr/include/va_list.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/types.h
../../../include-Classes/MRawPixel.o: /usr/include/mach/machine/vm_types.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/select.h
../../../include-Classes/MRawPixel.o: /usr/include/getopt.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/limits.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/machine/machlimits.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/syslimits.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/machine/machtime.h
../../../include-Classes/MRawPixel.o: /usr/include/sys/rt_limits.h
../../../include-Classes/MRawPixel.o: /usr/include/limits.h
../../../include-Classes/MRawPixel.o: /usr/include/memory.h
../../../include-Classes/MRawPixel.o: /usr/include/string.h
../../../include-Classes/MRawPixel.o: /usr/include/strings.h
../../../include-Classes/MRawPixel.o: /CERN/root/include/TString.h
../../../include-Classes/MRawPixel.o: /CERN/root/include/TRandom.h
../../../include-Classes/MRawPixel.o: ../../../include-Classes/MRawPixel.h
../../../include-Classes/MRawPixel.o: /CERN/root/include/TObject.h
../../../include-Classes/MRawPixel.o: ../../../include-Classes/Mdefine.h
../../../include-Classes/MRawCrate.o: /usr/include/cxx/iostream.h
../../../include-Classes/MRawCrate.o: /usr/include/cxx/iostream.hxx
../../../include-Classes/MRawCrate.o: /usr/include/cxx/compnent.hxx
../../../include-Classes/MRawCrate.o: /usr/include/cxx/iostream_impl.hxx
../../../include-Classes/MRawCrate.o: /usr/include/cxx/cxxl.hxx
../../../include-Classes/MRawCrate.o: /usr/include/cxx/cxxl_share.hxx
../../../include-Classes/MRawCrate.o: /usr/include/cxx/messages.hxx
../../../include-Classes/MRawCrate.o: /usr/include/stddef.h
../../../include-Classes/MRawCrate.o: /usr/include/standards.h
../../../include-Classes/MRawCrate.o: /usr/include/stdio.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/seek.h
../../../include-Classes/MRawCrate.o: /usr/include/va_list.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/types.h
../../../include-Classes/MRawCrate.o: /usr/include/mach/machine/vm_types.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/select.h
../../../include-Classes/MRawCrate.o: /usr/include/getopt.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/limits.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/machine/machlimits.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/syslimits.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/machine/machtime.h
../../../include-Classes/MRawCrate.o: /usr/include/sys/rt_limits.h
../../../include-Classes/MRawCrate.o: /usr/include/limits.h
../../../include-Classes/MRawCrate.o: /usr/include/memory.h
../../../include-Classes/MRawCrate.o: /usr/include/string.h
../../../include-Classes/MRawCrate.o: /usr/include/strings.h
../../../include-Classes/MRawCrate.o: /CERN/root/include/TClonesArray.h
../../../include-Classes/MRawCrate.o: /CERN/root/include/TString.h
../../../include-Classes/MRawCrate.o: /CERN/root/include/TRandom.h
../../../include-Classes/MRawCrate.o: ../../../include-Classes/MRawCrate.h
../../../include-Classes/MRawCrate.o: /CERN/root/include/TObject.h
../../../include-Classes/MRawCrate.o: ../../../include-Classes/Mdefine.h
../../../include-Classes/MRawEvt.o: /usr/include/cxx/iostream.h
../../../include-Classes/MRawEvt.o: /usr/include/cxx/iostream.hxx
../../../include-Classes/MRawEvt.o: /usr/include/cxx/compnent.hxx
../../../include-Classes/MRawEvt.o: /usr/include/cxx/iostream_impl.hxx
../../../include-Classes/MRawEvt.o: /usr/include/cxx/cxxl.hxx
../../../include-Classes/MRawEvt.o: /usr/include/cxx/cxxl_share.hxx
../../../include-Classes/MRawEvt.o: /usr/include/cxx/messages.hxx
../../../include-Classes/MRawEvt.o: /usr/include/stddef.h
../../../include-Classes/MRawEvt.o: /usr/include/standards.h
../../../include-Classes/MRawEvt.o: /usr/include/stdio.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/seek.h
../../../include-Classes/MRawEvt.o: /usr/include/va_list.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/types.h
../../../include-Classes/MRawEvt.o: /usr/include/mach/machine/vm_types.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/select.h
../../../include-Classes/MRawEvt.o: /usr/include/getopt.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/limits.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/machine/machlimits.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/syslimits.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/machine/machtime.h
../../../include-Classes/MRawEvt.o: /usr/include/sys/rt_limits.h
../../../include-Classes/MRawEvt.o: /usr/include/limits.h
../../../include-Classes/MRawEvt.o: /usr/include/memory.h
../../../include-Classes/MRawEvt.o: /usr/include/string.h
../../../include-Classes/MRawEvt.o: /usr/include/strings.h
../../../include-Classes/MRawEvt.o: /CERN/root/include/TClonesArray.h
../../../include-Classes/MRawEvt.o: /CERN/root/include/TString.h
../../../include-Classes/MRawEvt.o: /CERN/root/include/TRandom.h
../../../include-Classes/MRawEvt.o: ../../../include-Classes/MRawEvt.h
../../../include-Classes/MRawEvt.o: /CERN/root/include/TObject.h
../../../include-Classes/MRawEvt.o: ../../../include-Classes/Mdefine.h
../../../include-Classes/MRawEvt.o: ../../../include-Classes/MRawPixel.h
../../../include-Classes/MRawEvt.o: ../../../include-Classes/MRawCrate.h
../../../include-Classes/MMcEvt.o: /usr/include/cxx/iostream.h
../../../include-Classes/MMcEvt.o: /usr/include/cxx/iostream.hxx
../../../include-Classes/MMcEvt.o: /usr/include/cxx/compnent.hxx
../../../include-Classes/MMcEvt.o: /usr/include/cxx/iostream_impl.hxx
../../../include-Classes/MMcEvt.o: /usr/include/cxx/cxxl.hxx
../../../include-Classes/MMcEvt.o: /usr/include/cxx/cxxl_share.hxx
../../../include-Classes/MMcEvt.o: /usr/include/cxx/messages.hxx
../../../include-Classes/MMcEvt.o: /usr/include/stddef.h
../../../include-Classes/MMcEvt.o: /usr/include/standards.h
../../../include-Classes/MMcEvt.o: /usr/include/stdio.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/seek.h
../../../include-Classes/MMcEvt.o: /usr/include/va_list.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/types.h
../../../include-Classes/MMcEvt.o: /usr/include/mach/machine/vm_types.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/select.h
../../../include-Classes/MMcEvt.o: /usr/include/getopt.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/limits.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/machine/machlimits.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/syslimits.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/machine/machtime.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/rt_limits.h
../../../include-Classes/MMcEvt.o: /usr/include/limits.h
../../../include-Classes/MMcEvt.o: /usr/include/memory.h
../../../include-Classes/MMcEvt.o: /usr/include/string.h
../../../include-Classes/MMcEvt.o: /usr/include/strings.h
../../../include-Classes/MMcEvt.o: ../../../include-Classes/MMcEvt.h
../../../include-Classes/MMcEvt.o: /usr/include/stdlib.h
../../../include-Classes/MMcEvt.o: /usr/include/unistd.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/access.h
../../../include-Classes/MMcEvt.o: /usr/include/fcntl.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/fcntl.h
../../../include-Classes/MMcEvt.o: /usr/include/sys/mode.h
../../../include-Classes/MMcEvt.o: /CERN/root/include/TObject.h
../../../include-Classes/MMcTrig.o: /usr/include/cxx/iostream.h
../../../include-Classes/MMcTrig.o: /usr/include/cxx/iostream.hxx
../../../include-Classes/MMcTrig.o: /usr/include/cxx/compnent.hxx
../../../include-Classes/MMcTrig.o: /usr/include/cxx/iostream_impl.hxx
../../../include-Classes/MMcTrig.o: /usr/include/cxx/cxxl.hxx
../../../include-Classes/MMcTrig.o: /usr/include/cxx/cxxl_share.hxx
../../../include-Classes/MMcTrig.o: /usr/include/cxx/messages.hxx
../../../include-Classes/MMcTrig.o: /usr/include/stddef.h
../../../include-Classes/MMcTrig.o: /usr/include/standards.h
../../../include-Classes/MMcTrig.o: /usr/include/stdio.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/seek.h
../../../include-Classes/MMcTrig.o: /usr/include/va_list.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/types.h
../../../include-Classes/MMcTrig.o: /usr/include/mach/machine/vm_types.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/select.h
../../../include-Classes/MMcTrig.o: /usr/include/getopt.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/limits.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/machine/machlimits.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/syslimits.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/machine/machtime.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/rt_limits.h
../../../include-Classes/MMcTrig.o: /usr/include/limits.h
../../../include-Classes/MMcTrig.o: /usr/include/memory.h
../../../include-Classes/MMcTrig.o: /usr/include/string.h
../../../include-Classes/MMcTrig.o: /usr/include/strings.h
../../../include-Classes/MMcTrig.o: ../../../include-Classes/MMcTrig.hxx
../../../include-Classes/MMcTrig.o: /usr/include/stdlib.h
../../../include-Classes/MMcTrig.o: /usr/include/unistd.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/access.h
../../../include-Classes/MMcTrig.o: /usr/include/fcntl.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/fcntl.h
../../../include-Classes/MMcTrig.o: /usr/include/sys/mode.h
../../../include-Classes/MMcTrig.o: /CERN/root/include/TObject.h
../../../include-Classes/MMcTrig.o: ../../../Simulation/Detector/include-MTrigger/MTriggerDefine.h
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/iostream.h
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/iostream.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/compnent.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/iostream_impl.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/cxxl.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/cxxl_share.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/cxx/messages.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/stddef.h
../../../include-Classes/MHeaderTrig.o: /usr/include/standards.h
../../../include-Classes/MHeaderTrig.o: /usr/include/stdio.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/seek.h
../../../include-Classes/MHeaderTrig.o: /usr/include/va_list.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/types.h
../../../include-Classes/MHeaderTrig.o: /usr/include/mach/machine/vm_types.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/select.h
../../../include-Classes/MHeaderTrig.o: /usr/include/getopt.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/limits.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/machine/machlimits.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/syslimits.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/machine/machtime.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/rt_limits.h
../../../include-Classes/MHeaderTrig.o: /usr/include/limits.h
../../../include-Classes/MHeaderTrig.o: /usr/include/memory.h
../../../include-Classes/MHeaderTrig.o: /usr/include/string.h
../../../include-Classes/MHeaderTrig.o: /usr/include/strings.h
../../../include-Classes/MHeaderTrig.o: ../../../include-Classes/MHeaderTrig.hxx
../../../include-Classes/MHeaderTrig.o: /usr/include/stdlib.h
../../../include-Classes/MHeaderTrig.o: /usr/include/unistd.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/access.h
../../../include-Classes/MHeaderTrig.o: /usr/include/fcntl.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/fcntl.h
../../../include-Classes/MHeaderTrig.o: /usr/include/sys/mode.h
../../../include-Classes/MHeaderTrig.o: /CERN/root/include/TObject.h
../../../include-Classes/MHeaderTrig.o: ../../../Simulation/Detector/include-MTrigger/MTriggerDefine.h
creadparam.o: creadparam.h /usr/include/cxx/iostream.h
creadparam.o: /usr/include/cxx/iostream.hxx /usr/include/cxx/compnent.hxx
creadparam.o: /usr/include/cxx/iostream_impl.hxx /usr/include/cxx/cxxl.hxx
creadparam.o: /usr/include/cxx/cxxl_share.hxx /usr/include/cxx/messages.hxx
creadparam.o: /usr/include/stddef.h /usr/include/standards.h
creadparam.o: /usr/include/stdio.h /usr/include/sys/seek.h
creadparam.o: /usr/include/va_list.h /usr/include/sys/types.h
creadparam.o: /usr/include/mach/machine/vm_types.h /usr/include/sys/select.h
creadparam.o: /usr/include/getopt.h /usr/include/sys/limits.h
creadparam.o: /usr/include/sys/machine/machlimits.h
creadparam.o: /usr/include/sys/syslimits.h
creadparam.o: /usr/include/sys/machine/machtime.h
creadparam.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
creadparam.o: /usr/include/memory.h /usr/include/string.h
creadparam.o: /usr/include/strings.h /usr/include/cxx/fstream.h
creadparam.o: /usr/include/cxx/fstream.hxx /usr/include/cxx/fstream_impl.hxx
creadparam.o: /usr/include/stdlib.h /usr/include/math.h /usr/include/float.h
creadparam.o: /usr/include/fp_class.h ../include-GENERAL/jcmacros.h
creadparam.o: ../include-GENERAL/jcdebug.h camera-v.h
camera.o: /CERN/root/include/TROOT.h /CERN/root/include/TRandom.h
camera.o: /CERN/root/include/TApplication.h /CERN/root/include/TFile.h
camera.o: /CERN/root/include/TTree.h /CERN/root/include/TBranch.h
camera.o: /CERN/root/include/TCanvas.h ../include-MTrigger/MTrigger.hxx
camera.o: /usr/include/cxx/iostream.h /usr/include/cxx/iostream.hxx
camera.o: /usr/include/cxx/compnent.hxx /usr/include/cxx/iostream_impl.hxx
camera.o: /usr/include/cxx/cxxl.hxx /usr/include/cxx/cxxl_share.hxx
camera.o: /usr/include/cxx/messages.hxx /usr/include/stddef.h
camera.o: /usr/include/standards.h /usr/include/stdio.h
camera.o: /usr/include/sys/seek.h /usr/include/va_list.h
camera.o: /usr/include/sys/types.h /usr/include/mach/machine/vm_types.h
camera.o: /usr/include/sys/select.h /usr/include/getopt.h
camera.o: /usr/include/sys/limits.h /usr/include/sys/machine/machlimits.h
camera.o: /usr/include/sys/syslimits.h /usr/include/sys/machine/machtime.h
camera.o: /usr/include/sys/rt_limits.h /usr/include/limits.h
camera.o: /usr/include/memory.h /usr/include/string.h /usr/include/strings.h
camera.o: /usr/include/math.h /usr/include/stdlib.h
camera.o: /CERN/root/include/TObject.h /CERN/root/include/TH1.h
camera.o: ../../../include-Classes/Mdefine.h
camera.o: ../../../include-Classes/MMcEvt.h /usr/include/unistd.h
camera.o: /usr/include/sys/access.h /usr/include/fcntl.h
camera.o: /usr/include/sys/fcntl.h /usr/include/sys/mode.h
camera.o: ../include-MTrigger/MTriggerDefine.h ../include-MFadc/MFadc.hxx
camera.o: /usr/include/cxx/stream.h /usr/include/cxx/stream.hxx
camera.o: /usr/include/stdarg.h /usr/include/cxx/iomanip.hxx
camera.o: /usr/include/cxx/iomanip_impl.hxx /usr/include/cxx/generic.hxx
camera.o: /usr/include/cxx/mutex.hxx ../../../include-Classes/MRawEvt.h
camera.o: /CERN/root/include/TClonesArray.h
camera.o: ../../../include-Classes/MMcTrig.hxx
camera.o: ../../../Simulation/Detector/include-MTrigger/MTriggerDefine.h
camera.o: ../../../include-Classes/MHeaderTrig.hxx camera.h
camera.o: /usr/include/cxx/fstream.h /usr/include/cxx/fstream.hxx
camera.o: /usr/include/cxx/fstream_impl.hxx /usr/include/dirent.h
camera.o: /usr/include/libgen.h camera-v.h ../include-GENERAL/jcmacros.h
camera.o: ../include-GENERAL/jcdebug.h creadparam.h /usr/include/float.h
camera.o: /usr/include/fp_class.h ../Reflector/atm.h
camera.o: ../Reflector/reflector-v.h moments.h
camera.o: ../include-MC/MCEventHeader.hxx ../include-GENERAL/Rtypes.h
camera.o: /usr/include/cxx/iomanip.h ../include-CORSIKA/COREventHeader.hxx
camera.o: ../include-MC/MCCphoton.hxx ../include-GENERAL/ranlib.h
